org.flexdock.perspective

## Class LayoutSequence

- java.lang.Object
- - org.flexdock.perspective.LayoutSequence

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DockingConstants

    public class LayoutSequence
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable, DockingConstants

Author:
  Christopher Butler
See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.flexdock.docking.DockingConstants

`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

### Constructor Summary

Constructors
Constructor and Description
`LayoutSequence()`
`LayoutSequence(DockingState[] dockingStates)`

### Method Summary

Methods
`void` `add(Dockable dockable)`
`void` `add(Dockable dockable, Dockable relativeParent)`
`void` `add(Dockable dockable, Dockable relativeParent, java.lang.String region, float ratio)`
`void` `add(DockingState dockingState)`
`void` `add(java.lang.String dockable)`
`void` `add(java.lang.String dockable, java.lang.String relativeParent)`
`void` `add(java.lang.String dockableId, java.lang.String relativeParentId, java.lang.String region, float ratio)`
`void` `apply(DockingPort port)`
`java.lang.Object` `clone()`
`java.util.List` `getDockingStates()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutSequence

    public LayoutSequence()

#### LayoutSequence

    public LayoutSequence(DockingState[] dockingStates)

### Method Detail

#### add

    public void add(Dockable dockable)

#### add

    public void add(java.lang.String dockable)

#### add

    public void add(Dockable dockable,
           Dockable relativeParent)

#### add

    public void add(java.lang.String dockable,
           java.lang.String relativeParent)

#### add

    public void add(Dockable dockable,
           Dockable relativeParent,
           java.lang.String region,
           float ratio)

#### add

    public void add(java.lang.String dockableId,
           java.lang.String relativeParentId,
           java.lang.String region,
           float ratio)

#### add

    public void add(DockingState dockingState)

#### apply

    public void apply(DockingPort port)

#### getDockingStates

    public java.util.List getDockingStates()

#### clone

    public java.lang.Object clone()

Overrides:
  `clone` in class `java.lang.Object`